Subject: Re: git on MacOSX and files with decomposed utf-8 file names

From: Theodore Tso <[email-masked]>
Date: Thu, 17 Jan 2008 14:01:05 -0500

On Thu, Jan 17, 2008 at 06:52:57PM +0000, Pedro Melo wrote:
> The answer is that users should not create filenames with non-ascii 
> characters if they want a consistent experience, right?
>
> This is just so that I can write a best practices document to them...

That's the easist thing to do if you want to assure that things will
mostly work across multiple different OS's, with different levels of
sanity.  You might also want to include that it's a bad idea to create
two filenames that are identical on case-insensitive filesystems,
i.e., "makefile" and "Makefile", or "foo.H" and "foo.h" which even
though it works Just Fine on Linux, will likely cause problems on
Windows and MacOS filesystems, and other systems that are insane with
respect to case insensitivity.

							- Ted